#ifndef KYSDK_SYSTEM_SYSUSER_H__
#define KYSDK_SYSTEM_SYSUSER_H__

/**
 * @file libkyuserauth.h
 * @author wangweiran (wangweiran@kylinos.cn)
 * @brief 操作系统用户身份识别
 * @version 0.1
 * @date 2022-05-10
 * 
 * @copyright Copyright (c) 2021
 * 
 * @defgroup 用户身份识别
 * @{
 * 
 */

#include <string.h>
#include <glib.h>
#include <gio/gio.h>
#include <polkit/polkit.h>

#ifdef __cplusplus
extern "C" {
#endif

/**
 * @brief 验证用户信息
 * 
 * @return int 
 */
extern int kdk_authority_check_by_polkit ()
